<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>All Classes</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<h1 class="bar">All&nbsp;Classes</h1>
<div class="indexContainer">
<ul>
<li><a href="deserialization/AggregationDeserializer.html" title="class in deserialization" target="classFrame">AggregationDeserializer</a></li>
<li><a href="aggregations/AggregationException.html" title="class in aggregations" target="classFrame">AggregationException</a></li>
<li><a href="aggregations/metricsaggs/AggregationFactory.html" title="class in aggregations.metricsaggs" target="classFrame">AggregationFactory</a></li>
<li><a href="aggregations/AggregationType.html" title="class in aggregations" target="classFrame">AggregationType</a></li>
<li><a href="aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs" target="classFrame">AggsBucketOrder</a></li>
<li><a href="queries/boolquery/Bool.html" title="class in queries.boolquery" target="classFrame">Bool</a></li>
<li><a href="elasticclient/ClientRequest.html" title="class in elasticclient" target="classFrame">ClientRequest</a></li>
<li><a href="templates/Count_template.html" title="class in templates" target="classFrame">Count_template</a></li>
<li><a href="deserialization/CustomParserException.html" title="class in deserialization" target="classFrame">CustomParserException</a></li>
<li><a href="aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs" target="classFrame">DateRange</a></li>
<li><a href="docrequests/DocCreateRequest.html" title="class in docrequests" target="classFrame">DocCreateRequest</a></li>
<li><a href="docrequests/DocDeleteRequest.html" title="class in docrequests" target="classFrame">DocDeleteRequest</a></li>
<li><a href="docrequests/DocRequestException.html" title="class in docrequests" target="classFrame">DocRequestException</a></li>
<li><a href="docrequests/DocUpdateRequest.html" title="class in docrequests" target="classFrame">DocUpdateRequest</a></li>
<li><a href="elasticclient/ElasticClient.html" title="class in elasticclient" target="classFrame">ElasticClient</a></li>
<li><a href="elasticclient/ElasticClientException.html" title="class in elasticclient" target="classFrame">ElasticClientException</a></li>
<li><a href="elasticclient/ElasticClientResponse.html" title="class in elasticclient" target="classFrame">ElasticClientResponse</a></li>
<li><a href="tests/ElasticClientTest.html" title="class in tests" target="classFrame">ElasticClientTest</a></li>
<li><a href="examples/newquery/ExistsQuery.html" title="class in examples.newquery" target="classFrame">ExistsQuery</a></li>
<li><a href="aggregations/bucketaggs/IpRangeAggregation.html" title="class in aggregations.bucketaggs" target="classFrame">IpRangeAggregation</a></li>
<li><a href="templates/ITemplate.html" title="interface in templates" target="classFrame"><span class="interfaceName">ITemplate</span></a></li>
<li><a href="tests/assertions/Main.html" title="class in tests.assertions" target="classFrame">Main</a></li>
<li><a href="queries/fulltext/Match.html" title="class in queries.fulltext" target="classFrame">Match</a></li>
<li><a href="queries/fulltext/MatchPhrase.html" title="class in queries.fulltext" target="classFrame">MatchPhrase</a></li>
<li><a href="queries/fulltext/MatchPhrasePrefix.html" title="class in queries.fulltext" target="classFrame">MatchPhrasePrefix</a></li>
<li><a href="aggregations/metricsaggs/MetricsAggregation.html" title="class in aggregations.metricsaggs" target="classFrame">MetricsAggregation</a></li>
<li><a href="examples/newaggregation/NewAggregationMain.html" title="class in examples.newaggregation" target="classFrame">NewAggregationMain</a></li>
<li><a href="examples/newaggregation/NewFilterAggregation.html" title="class in examples.newaggregation" target="classFrame">NewFilterAggregation</a></li>
<li><a href="examples/newquery/NewQueryMain.html" title="class in examples.newquery" target="classFrame">NewQueryMain</a></li>
<li><a href="examples/newtemplate/NewTemplateMain.html" title="class in examples.newtemplate" target="classFrame">NewTemplateMain</a></li>
<li><a href="queries/QueryMalformedException.html" title="class in queries" target="classFrame">QueryMalformedException</a></li>
<li><a href="queries/fulltext/QueryString.html" title="class in queries.fulltext" target="classFrame">QueryString</a></li>
<li><a href="queries/QueryType.html" title="interface in queries" target="classFrame"><span class="interfaceName">QueryType</span></a></li>
<li><a href="deserialization/QueryTypeDeserializer.html" title="class in deserialization" target="classFrame">QueryTypeDeserializer</a></li>
<li><a href="queries/Range.html" title="class in queries" target="classFrame">Range</a></li>
<li><a href="aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs" target="classFrame">RangeAggregation</a></li>
<li><a href="aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs" target="classFrame">RangeElement</a></li>
<li><a href="docrequests/Request.html" title="interface in docrequests" target="classFrame"><span class="interfaceName">Request</span></a></li>
<li><a href="deserialization/RequestDeserializer.html" title="class in deserialization" target="classFrame">RequestDeserializer</a></li>
<li><a href="queries/Search.html" title="class in queries" target="classFrame">Search</a></li>
<li><a href="queries/SearchException.html" title="class in queries" target="classFrame">SearchException</a></li>
<li><a href="queries/Sort.html" title="class in queries" target="classFrame">Sort</a></li>
<li><a href="queries/Source.html" title="class in queries" target="classFrame">Source</a></li>
<li><a href="templates/Template1.html" title="class in templates" target="classFrame">Template1</a></li>
<li><a href="deserialization/TemplateDeserializer.html" title="class in deserialization" target="classFrame">TemplateDeserializer</a></li>
<li><a href="queries/Term.html" title="class in queries" target="classFrame">Term</a></li>
<li><a href="aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs" target="classFrame">TermsAggregation</a></li>
<li><a href="tests/testquery/TestQueryMain.html" title="class in tests.testquery" target="classFrame">TestQueryMain</a></li>
<li><a href="examples/newtemplate/TestTemplate.html" title="class in examples.newtemplate" target="classFrame">TestTemplate</a></li>
</ul>
</div>
</body>
</html>
